/* Copyright (c) 2016-2020 MIT 6.005/6.031 course staff, all rights reserved.
 * Redistribution of original or derived work requires permission of course staff.
 */
package edu.mit.eecs.parserlib.internal;

import edu.mit.eecs.parserlib.UnableToParseException;

/**
 * GrammarException is thrown when there is a problem with the grammar
 * (e.g. syntax error in the grammar, or undefined nonterminal).
 */
public class GrammarException extends UnableToParseException {
    private static final long serialVersionUID = 7881047467300187077L;

    public GrammarException(String message) {
        super(message);
    }
}
